#! /bin/sh

# Prépare un diff à fournir à l'équipe de développement MythTV, placé sous diff/

VERSION="$1"
SVN_AUTH=${SVN_AUTH:-"svn://"}
if [ -z "$VERSION" ]
then
    echo "Fournissez un numéro de version !"
    exit 1
fi

mkdir -p diff
pushd diff || exit 1
svn checkout -r$1 http://svn.mythtv.org/svn/trunk/mythtv
svn checkout -r$1 http://svn.mythtv.org/svn/trunk/mythplugins
popd
svn export ${SVN_AUTH}svn.tuxfamily.org/svnroot/mythtvfr/traduction diff

pushd diff/mythtv/i18n
perl ../../../scripts/mythtv/i18n/lrelease.pl fr
popd
pushd mythplugins
perl ../../scripts/mythplugins/lrelease.pl fr
popd

find . -name *.qm -exec rm {} \;
svn co -r$1 http://svn.mythtv.org/svn/trunk/mythtv
svn co -r$1 http://svn.mythtv.org/svn/trunk/mythplugins
popd

for archive in mythtv mythplugins # myththemes
do
    svn diff diff/$archive >diff/${archive}_translation_fr-$VERSION.diff
done

# Transfert dans le SVN MythTV-fr
# pushd fr_mythtv-fr/traduction
# svn ci . svn+ssh://ookaze@svn.tuxfamily.org/svnroot/mythtvfr/traduction
# popd
